/*
 * This is a reverse-engineered driver for mobile WiMAX (802.16e) devices
 * based on GCT Semiconductor GDM7213 & GDM7205 chip.
 * Copyright (�) 2010 Yaroslav Levandovsky <leyarx@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * Alternatively, this software may be distributed under the terms of BSD
 * license.
 *
 * See README and COPYING for more details.
 */

#ifndef _EAP_AUTH_H
#define _EAP_AUTH_H

#include "util/includes.h"

#include "util/common.h"

#include "gctwimax.h"
#include "logging.h"
extern int wpa_debug_level;
/*
char *eap_outer_nai;
char *eap_login;
char *eap_pass;
char *eap_client_cert;
char *eap_ca_path;
int eap_type;
*/
//void eap_peer_set_login(char *login);

//void eap_peer_set_pass(char *pass);

//void eap_perr_set_nai(char *nai);

int eap_peer_init(gctwimax_config_t *config);

void eap_peer_deinit(gctwimax_config_t *config);

int eap_peer_step(gctwimax_wimax_t *ctx);

void eap_peer_rx(const void *data, int data_len);
//void eap_peer_rx(const u8 *data, size_t data_len);

#endif /* _EAP_PEER_H */
